SET NAMES utf8;
DROP database IF EXISTS redsys;

CREATE DATABASE redsys CHARACTER SET utf8 COLLATE utf8_czech_ci;
grant all privileges on redsys.* to root identified  by '';

USE redsys;

CREATE table udalosti (
    id int not null auto_increment,
    aktivni tinyint default 1,
    fk_osoba int,
    stala tinyint,
    nazev_cz varchar(128),
    nazev_en varchar(128),
    popis_cz varchar(128),
    popis_en varchar(128),
    url varchar(128),
    datum_zacatek datetime,
    misto_cz varchar(128),
    misto_en varchar(128),
    fk_kontaktni_osoba int,
    autor_zaznamu int,
    PRIMARY KEY (id)
) ENGINE=INNODB;

CREATE table personal_osoby (
    id int not null auto_increment,
    aktivni tinyint default 1,
    login varchar(128),
    titul_pred varchar(128),
    jmeno varchar(128),
    prijmeni varchar(128),
    titul_za varchar(128),
    je_nyni_clenem tinyint,
    email varchar(128),
    telefon varchar(128),
    kancelar varchar(128),
    url varchar(128),
    zivotopis_cz varchar(128),
    zivotopis_en varchar(128),
    uredni_hodiny varchar(128),
    je_externi tinyint,
    ext_pracoviste_cz varchar(128),
    ext_pracoviste_en varchar(128),
    fk_skolitel int,
    PRIMARY KEY (id)
) ENGINE=INNODB;

CREATE table personal_aktivity (
    id int not null auto_increment,
    aktivni tinyint default 1,
    nazev_cz varchar(128),
    nazev_en varchar(128),
    razeni int,
    PRIMARY KEY (id)
) ENGINE=INNODB;

CREATE table personal_aktivity_osob(
    fk_osoba int not null,
    fk_aktivita int not null,
    PRIMARY KEY (fk_osoba,fk_aktivita)
) ENGINE=INNODB;



CREATE table studijni_predmety (
    id int not null auto_increment,
    aktivni tinyint default 1,
    nazev varchar(128),
    zkratka varchar(10),
    PRIMARY KEY (id)
) ENGINE=INNODB;

CREATE table studijni_predmet_obor (
    fk_predmet int not null,
    fk_obor int not null,
    status varchar(1),
    PRIMARY KEY (fk_predmet,fk_obor)
) ENGINE=INNODB;

CREATE table studijni_prace_temata (
    id int not null auto_increment,
    aktivni tinyint default 1,
    nazev_cz varchar(128),
    kdy_vypsano datetime,
    fk_garant int,
    fk_obor int,
    fk_typ_prace int,
    PRIMARY KEY (id)
) ENGINE=INNODB;

insert into studijni_predmety (id, nazev) values (1,'cesky jazyk');
insert into studijni_predmet_obor (fk_predmet,fk_obor,status) values (1,1,'B');

insert into personal_aktivity (id, nazev_cz) values (1,'nejaka aktivita jedna');
insert into personal_aktivity_osob (fk_osoba,fk_aktivita) values (1,1);
insert into personal_aktivity (id, nazev_cz) values (2,'nejaka aktivita dva');
insert into personal_aktivity_osob (fk_osoba,fk_aktivita) values (1,2);

insert into studijni_prace_temata (id,nazev_cz,fk_garant) values (1,'Projekt - redsys design', 1);
insert into studijni_prace_temata (id,nazev_cz,fk_garant) values (2,'Projekt - redsys analyza', 1);

INSERT INTO personal_osoby (id, jmeno, prijmeni) 
    VALUES (1, 'Karel', 'Omacka');
INSERT INTO personal_osoby (id, jmeno, prijmeni) 
    VALUES (2, 'Johana', 'Sdlouhymanohama');

INSERT INTO udalosti (id, nazev_cz, popis_cz, datum_zacatek, fk_osoba) 
    VALUES (1, 'seminar PIA', 'setkani pratel javy','2008-01-01', 1);
INSERT INTO udalosti (id, nazev_cz, popis_cz, datum_zacatek, fk_osoba) 
    VALUES (2, 'seminar ASWI', 'setkani pratel javy','2008-01-01', 20);
INSERT INTO udalosti (id, nazev_cz, popis_cz, datum_zacatek, fk_osoba) 
    VALUES (3, 'seminar XX', 'setkani pratel javy','2008-01-01', 2);
INSERT INTO udalosti (id, nazev_cz, popis_cz, datum_zacatek, fk_osoba) 
    VALUES (4, 'seminar UF', 'setkani pratel javy','2008-01-01', 1);