<%-- 
    Document   : vytvorUdalost
    Created on : 5.3.2008, 10:41:50
    Author     : Radek Muzika
--%>

<%@page contentType="text/html" pageEncoding="UTF-8"%>
<%@ page import="org.springframework.context.ApplicationContext, org.springframework.web.context.support.WebApplicationContextUtils" %>
<%@ page import="cz.zcu.kiv.db.dao.UdalostDao, cz.zcu.kiv.db.model.udalosti.Udalost, cz.zcu.kiv.db.dao.OsobaDao, cz.zcu.kiv.db.model.osoby.Osoba" %>
<%@ page import="java.util.*, java.text.*" %>
<%@ taglib prefix="c" 
           uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
   "http://www.w3.org/TR/html4/loose.dtd">

<%  /** Ziskani aplikacniho kontextu ze servlet kontextu. Aplikacni kontext nam umozni
        pristupovat k beans definovanym v IOC kontejneru. Aby bylo mozne ziskat kontext
        ze servlet kontextu, musí být ve web.xml definován listener ContextLoaderListener.

        Jinou moznosti jak ziskat kontext je primo nactenim konfiguracniho souboru
        pomoci ClassPathXmlApplicationContext nebo FileSystemXmlApplicationContext.
        Viz dokumentace ke spring frameworku.*/
    ApplicationContext ctx = WebApplicationContextUtils.getWebApplicationContext(config.getServletContext());
    
    /** Ziskani parametru udalostId z requestu. V prikladu pro jednoduchost
        predpokladame, ze parametr vzdy existuje a je celym cislem.*/
    Integer udalostId = 0;
    udalostId = Integer.parseInt((String)request.getParameter("udalostId"));
    
    /** Z aplikacniho kontextu ziskame DAO tridu udalostDao. Identifikátor pouzity
        k ziskani beany je bud totozny s nazvem tridy beany, nebo je implicitne
        uveden v konfiguraci (zde konkretne je uveden v anotaci @Repository("udalostDao")
        ve tride UdalostDaoImpl.*/
    UdalostDao uDao = (UdalostDao) ctx.getBean("udalostDao");
    
    /** Z DAO tridy nacteme prislusnou udalost a ulozime ji do kontextu stranky.*/
    Udalost udalost = uDao.getUdalost(udalostId);
    pageContext.setAttribute("udalost", udalost);
    
    /** Z kontextu nacteme druhou DAO tridu, ktera nam umozni ziskat kolekci vsech
        osob. Kolekci ulozime do kontextu stranky.*/
    OsobaDao oDao = (OsobaDao) ctx.getBean("osobaDao");
    List<Osoba> seznamOsob = oDao.getOsoby();
    pageContext.setAttribute("seznamOsob", seznamOsob);
    
    /** Zfromatovani datumu do pro nas citelnejsi podoby.*/
    DateFormat dateFormat = new SimpleDateFormat("dd.MM.yy");
    pageContext.setAttribute("date", dateFormat.format(udalost.getDatumZacatek()));
%>

<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title>JSP Page</title>
    </head>
    <body>
        <form action="ulozUdalost.jsp" method="post">
            <input type="hidden" name="id" value="${udalost.id}"/>
            <table>
                <tr>
                    <th>Nazev:</th>
                    <td><input type="text" name="nazevCz" value="${udalost.nazevCz}"/></td>
                </tr>
                <tr>
                    <th>Popis:</th>
                    <td><input type="text" name="popisCz" value="${udalost.popisCz}"/></td>
                </tr>
                <tr>
                    <th>Datum:</th>
                    <td><input type="text" name="datumZacatek" value="${date}"/></td>
                </tr>
                <tr>
                    <th>Odpovedna osoba:</th>
                    <td><select name="fkOsoba">
                            <c:forEach items="${seznamOsob}" var="osoba">
                                <option value="${osoba.id}" <c:if test="${osoba.id==udalost.odpovednaOsoba.id}">selected="selected"</c:if>>${osoba.prijmeni} ${osoba.jmeno}</option>
                            </c:forEach>
                        </select>
                    </td>
                </tr>
            </table>
            <input type="submit" value="uloz" />
        </form>
    </body>
</html>
